| The Gaudi Framework v29r1 (5cd95fa2)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
Gaudi::Parsers::PropertyValueException Class Reference

`#include <src/JobOptionsSvc/PropertyValue.h>`

Inheritance diagram for Gaudi::Parsers::PropertyValueException:
[legend]
Collaboration diagram for Gaudi::Parsers::PropertyValueException:
[legend]

## Public Member Functions
| PropertyValueException (const std::string &message)
Public Member Functions inherited from std::runtime_error
T | runtime_error (T...args)
T | what (T...args)
Public Member Functions inherited from std::exception
T | what (T...args)
T | ~exception (T...args)
T | operator= (T...args)
T | exception (T...args)

## Static Public Member Functions
static PropertyValueException | WrongLValue ()
static PropertyValueException | WrongRValue ()

## Detailed Description

Definition at line 73 of file PropertyValue.h.

## Constructor & Destructor Documentation

Gaudi::Parsers::PropertyValueException::PropertyValueException | ( | const std::string & | message | ) |
| inline

Definition at line 76 of file PropertyValue.h.

76 : std::runtime_error( message ) {}
std::runtime_error
STL class.

## Member Function Documentation

static PropertyValueException Gaudi::Parsers::PropertyValueException::WrongLValue | ( |  | ) |
| inline static

Definition at line 77 of file PropertyValue.h.

78 {
79 return PropertyValueException( "Cannot apply +=/-= operation to left value." );
80 }
Gaudi::Parsers::PropertyValueException::PropertyValueException
PropertyValueException(const std::string &message)
Definition: PropertyValue.h:76

static PropertyValueException Gaudi::Parsers::PropertyValueException::WrongRValue | ( |  | ) |
| inline static

Definition at line 82 of file PropertyValue.h.

83 {
84 return PropertyValueException( "Cannot apply +=/-= operation to right value." );
85 }
Gaudi::Parsers::PropertyValueException::PropertyValueException
PropertyValueException(const std::string &message)
Definition: PropertyValue.h:76

The documentation for this class was generated from the following file:

- GaudiCoreSvc/src/JobOptionsSvc/PropertyValue.h